<?php
	/*
	 *
	 * yMS (c) 2003 - 2021 Yal Publicidad
	 * Sistema: Macrodígital Software - de Yal Publicidad
	 *
	 */
	 
	 /* Autorizo acceso */
		defined('YMS') or die( 'No dispones de acceso' );


	/*
	 * Obtner pais de visita a partir de la IP
	 */
	 function obtPaisXIPRango( $ip, $inicioRango = '190.232.0.0', $finRango = '190.239.255.255' ) {
	   if ( $ip === false ) {
		  $ip = $_SERVER['REMOTE_ADDR'];
	   }
	   
	   return ( ip2long( $inicioRango ) <= ip2long( $ip ) && 
						  ip2long( $finRango )    >= ip2long( $ip ) ) ? true : false;
				   
	}

	function ObtPaisXIP($ip = '0.0.0.0', $iso = 'PE'){
		$ip			= ($ip!='0.0.0.0') ? $ip : $_SERVER['REMOTE_ADDR'];
		$encontrado	= false;
		//$miPais		= 'PE';
		$q = _mysql_query( "SELECT * FROM ygepaisesiprango" );
		while( $r = _mysql_fetch_array( $q ) ){
			$encontrado = ( obtPaisXIPRango( $ip, $r['ip_rango_inicio'], $r['ip_rango_fin'] ) ) ? true : false;
			if( $encontrado ){
				return $r['iso2_pais'];
			}
		}
		return $iso;
	}
?>